FlexRIO 15.5 0 Ratings | 0.00 out of 5 |   Print

Available Downloads:

Updates and Notifications:
Critical Updates and Security Notifications are posted on ni.com. Before downloading, click here to review this information.

Download Language: English

Product Line: NI FlexRIO

Version: 15.5

Release date: 02-11-2016

Software type: Driver

Operating system: Windows

Description

New Features

FlexRIO Support 15.5 includes the following new features.

  • Support for LabVIEW 2015 SP1
  • Bug fixes and improvements
  • FlexRIO Adapter Module Support is deprecated and its functionality is combined with the FlexRIO driver as of FlexRIO Support 15.5

FlexRIO Support 15.1.1 includes the following new features.

  • 10 GbE example support for NI-793xR hardware devices
  • Support for the following FlexRIO adapter modules:
    • NI 5751B
    • NI 5752B
    • NI 6585B

FlexRIO Support 15.1 includes the following new features.

  • LabVIEW 2015 support for the following hardware devices:
    • NI-7931R
    • NI-7932R
    • NI-7935R

FlexRIO Support 15.0 includes the following new features.

  • Support for LabVIEW 2015

Supported Hardware

FlexRIO 15.5 software supports the following FlexRIO modules:

Controllers for FlexRIO

  • NI-7931R
  • NI-7932R
  • NI-7935R

FlexRIO FPGA Modules

  • NI PXI-7951R
  • NI PXI-7952R
  • NI PXI-7953R
  • NI PXI-7954R
  • NI PXIe-7961R
  • NI PXIe-7962R
  • NI PXIe-7965R
  • NI PXIe-7966R
  • NI PXIe-7971R
  • NI PXIe-7972R
  • NI PXIe-7975R
  • NI PXIe-7976R

FlexRIO Adapter Modules1

  • NI 5731
  • NI 5732
  • NI 5733
  • NI 5734
  • NI 5741
  • NI 5742
  • NI 5751/5751B
  • NI 5752/5752B
  • NI 5761
  • NI 5762
  • NI 5771
  • NI 5772
  • NI 5781
  • NI 5782
  • NI 5791
  • NI 5792
  • NI 5793
  • NI 6581/6581B
  • NI 6583
  • NI 6584
  • NI 6585/6585B
  • NI 6587

1 FlexRIO adapter modules are supported only in LabVIEW 2014 and LabVIEW 2015.

Device-specific information about these modules is included in the FlexRIO Help.

System Requirements

Supported Operating Systems

FlexRIO 15.5 supports the following operating systems:

 

Operating System 64-bit 32-bit
Windows 10
Windows 8.1
Windows 7 Service Pack 1
Windows Vista Business
Windows XP Professional SP2 or higher
Windows Server 2008 R2
Windows Server 2003 R21
Red Hat Enterprise Linux 7.x
Red Hat Enterprise Linux 6.x
Scientific Linux 6.x
CentOS 7

1 Support for Windows Server 2003 R2 may require disabling physical address extensions.

Note: FlexRIO 15.5 does not support Windows Server non-R2 editions.

NI recommends that you have the most recent service pack for your operating system installed.

Supported Real-Time Operating Environments

FlexRIO 15.5 supports the following real-time operating environments:

  • LabVIEW Real-Time Module

Minimum System Requirements

  • Processor—Pentium III/Celeron 600 MHz or equivalent
  • RAM—
    • Windows XP: 128 MB
    • Windows 8.1/7/Vista: 512 MB
  • Microsoft Internet Explorer 5.5 or later
  • A screen resolution of 800 x 600 with 256 colors
  • Windows 8.1/7/Vista/XP, with all available critical updates and service packs

Recommended System

  • Processor—Pentium 4 or equivalent
  • RAM—
    • Windows XP: 256 MB
    • Windows 8.1/7/Vista: 1 GB
  • A screen resolution of 1,024 x 768
  • Windows 8.1/7/Vista/XP, with all available critical updates and service packs

Supported Software

  • LabVIEW 2015 SP1 (32-bit and 64-bit)
  • LabVIEW 2014 SP1 (32-bit and 64-bit)
  • LabVIEW 2013 SP1 (32-bit and 64-bit)
  • LabVIEW 2012 SP1 (32-bit and 64-bit)

Application Development Environments (ADEs)

Note: You should install ADEs before installing FlexRIO Support 15.5. To add support for ADEs installed after installing FlexRIO Support 15.5, modify your FlexRIO 15.5 installation or launch the FlexRIO 15.5 installer again.

  • LabVIEW 2012 SP1 (32-bit and 64-bit), 2013 SP1 (32-bit and 64-bit), 2014 SP1 (32-bit and 64-bit), and 2015 SP1 (32-bit and 64-bit)
  • LabVIEW Real-Time Module 2012 SP1, 2013 SP1, 2014 SP1, and 2015 SP1
  • LabVIEW FPGA Module 2012 SP1, 2013 SP1, 2014 SP1, and 2015 SP1

Your Feedback

Rate this document

Answered Your Question?
Yes No

Submit